package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

//网络教室伴奏下载信息
public class ImNetworkRoomMusicSheetDownloadData {
    @ApiModelProperty(value = "伴奏下载状态（1下载成功0下载中2下载失败）")
    private Integer status;

    @ApiModelProperty(value = "伴奏原音")
    private String url;

    @ApiModelProperty(value = "伴奏名")
    private String musicSheetName;

    @ApiModelProperty(value = "伴奏编号")
    private Long musicSheetId;

    @ApiModelProperty(value = "是否开启伴奏")
    private Boolean enable = false;

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMusicSheetName() {
        return musicSheetName;
    }

    public void setMusicSheetName(String musicSheetName) {
        this.musicSheetName = musicSheetName;
    }

    public Long getMusicSheetId() {
        return musicSheetId;
    }

    public void setMusicSheetId(Long musicSheetId) {
        this.musicSheetId = musicSheetId;
    }
}
